use "Main_Dataset_BDM.dta", clear
 
 
*Robustness 2 Deaths*********
gen D1=date if Drate>=1/50000



gen DtoL= date-Lockdown
gen DtoL_End=date-LockdownEnd

egen D2= min(D1) , by(STATE)
gen Day=date-D2
drop D1 D2

preserve

keep STATE Day Infections
rename Infections _
*sort STATE date 

replace STATE="UnitedKingdom" if STATE=="United Kingdom"
drop if STATE=="Slovakia"
*replace _=1 if _==0
reshape wide _ , i( Day) j(STATE) string
keep if Day>=-30
rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
gen Slovakia =10
order Day Austria Belgium Bulgaria Croatia Czechia Denmark Estonia Finland France Germany Greece Hungary Ireland Italy Latvia Lithuania Luxembourg Malta Netherlands Norway Poland Portugal Romania Slovakia Slovenia Spain Sweden Switzerland UnitedKingdom
export excel using "Baseline\Infections_D2.xlsx" , firstrow(variables) replace
restore

keep STATE Day Deaths
rename Deaths _

replace STATE="UnitedKingdom" if STATE=="United Kingdom"

keep if Day>=-30
drop if STATE=="Slovakia"
reshape wide _ , i( Day) j(STATE) string

rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
gen Slovakia =10
order Day Austria Belgium Bulgaria Croatia Czechia Denmark Estonia Finland France Germany Greece Hungary Ireland Italy Latvia Lithuania Luxembourg Malta Netherlands Norway Poland Portugal Romania Slovakia Slovenia Spain Sweden Switzerland UnitedKingdom
export excel using "Baseline\Deaths_D2.xlsx" , firstrow(variables) replace


